## net.sf.saxon.functions
Class Evaluate.PreparedExpression

    java.lang.Object
      net.sf.saxon.functions.Evaluate.PreparedExpression

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  Evaluate

    public static class Evaluate.PreparedExpression

extends java.lang.Object
implements java.io.Serializable

Inner class PreparedExpression represents a compiled XPath expression together with the standard variables $p1 .. $p9 available for use when the expression is evaluated

See Also:
  Serialized Form

Field Summary
`Expression` `expression`
`IndependentContext` `expStaticContext`
`SlotManager` `stackFrameMap`
`XPathVariable[]` `variables`

Constructor Summary
`Evaluate.PreparedExpression()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### expStaticContext

    public IndependentContext expStaticContext

### expression

    public Expression expression

### variables

    public XPathVariable[] variables

### stackFrameMap

    public SlotManager stackFrameMap

Constructor Detail

### Evaluate.PreparedExpression

    public Evaluate.PreparedExpression()

Copyright (c) Saxonica Limited. All rights reserved.